Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::Portable_Server::LifespanStrategyTransient Class Reference

`#include <LifespanStrategyTransient.h>`

Inheritance diagram for TAO::Portable_Server::LifespanStrategyTransient:

[legend]
Collaboration diagram for TAO::Portable_Server::LifespanStrategyTransient:

[legend]
List of all members.

## Public Member Functions
| LifespanStrategyTransient (void)
virtual void | notify_startup ()
virtual void | notify_shutdown ()
char | key_type (void) const
virtual CORBA::Boolean | is_persistent (void) const
| Do we have set persistent or not,.
CORBA::ULong | key_length (void) const
virtual void | create_key (CORBA::Octet *buffer, CORBA::ULong &starting_at)
virtual bool | validate (CORBA::Boolean is_persistent, const TAO::Portable_Server::Temporary_Creation_Time &creation_time) const
| Validate whether this matches the set lifespan strategy.
virtual void | check_state ()
| Check the state of the POA.
virtual ::PortableServer::LifespanPolicyValue | type () const
virtual bool | use_imr () const
## Private Attributes
TAO::Portable_Server::Creation_Time | creation_time_

## Constructor & Destructor Documentation

TAO::Portable_Server::LifespanStrategyTransient::LifespanStrategyTransient | ( | void |  | ) |

## Member Function Documentation

void TAO::Portable_Server::LifespanStrategyTransient::check_state | ( |  | ) | `[virtual]`

| Check the state of the POA. Implements TAO::Portable_Server::LifespanStrategy.

void TAO::Portable_Server::LifespanStrategyTransient::create_key | ( | CORBA::Octet * | buffer,
|  | CORBA::ULong & | starting_at
| ) | `[virtual]`

| Implements TAO::Portable_Server::LifespanStrategy.

CORBA::Boolean TAO::Portable_Server::LifespanStrategyTransient::is_persistent | ( | void |  | ) | const`[virtual]`

| Do we have set persistent or not,. Implements TAO::Portable_Server::LifespanStrategy.

CORBA::ULong TAO::Portable_Server::LifespanStrategyTransient::key_length | ( | void |  | ) | const`[virtual]`

| Returns the length of the key type Implements TAO::Portable_Server::LifespanStrategy.

char TAO::Portable_Server::LifespanStrategyTransient::key_type | ( | void |  | ) | const

virtual void TAO::Portable_Server::LifespanStrategyTransient::notify_shutdown | ( |  | ) | `[virtual]`

| Implements TAO::Portable_Server::LifespanStrategy.

virtual void TAO::Portable_Server::LifespanStrategyTransient::notify_startup | ( |  | ) | `[virtual]`

| Implements TAO::Portable_Server::LifespanStrategy.

PortableServer::LifespanPolicyValue TAO::Portable_Server::LifespanStrategyTransient::type | ( |  | ) | const`[virtual]`

| Implements TAO::Portable_Server::LifespanStrategy.

bool TAO::Portable_Server::LifespanStrategyTransient::use_imr | ( |  | ) | const`[virtual]`

| Implements TAO::Portable_Server::LifespanStrategy.

bool TAO::Portable_Server::LifespanStrategyTransient::validate | ( | CORBA::Boolean | is_persistent,
|  | const TAO::Portable_Server::Temporary_Creation_Time & | creation_time
| ) | const`[virtual]`

| Validate whether this matches the set lifespan strategy. Implements TAO::Portable_Server::LifespanStrategy.

## Member Data Documentation

TAO::Portable_Server::Creation_Time TAO::Portable_Server::LifespanStrategyTransient::creation_time_`[private]`

The documentation for this class was generated from the following files:

- LifespanStrategyTransient.h
- LifespanStrategyTransient.cpp